import { extent, scaleLinear } from 'd3';

export const scatterPlot = (
  selection,
  { data, width, height, xValue, yValue }
) => {
  const xScale = scaleLinear()
    .domain(extent(data, xValue))
    .range([0, width]);

  const yScale = scaleLinear()
    .domain(extent(data, yValue))
    .range([height, 0]);

  selection
    .selectAll('circle')
    .data(data)
    .join('circle')
    .attr('cx', (d) => xScale(xValue(d)))
    .attr('cy', (d) => yScale(yValue(d)))
    .attr('r', 10);
};
